Do not install Firefox v29 or you will lose this very handy extension's functionality. Rated 4 out of 5 stars

Sadly the incredibly lame FF v29 release renders the addon nonexecutable so, if you have not "upgraded" and you like using this tool, then save yourself some aggravation and do not install FF v29, since it only removes features and offers no benefit other than sleek lack-of-features.

This review is for a previous version of the add-on (2.0.1-signed).